/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 12, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.corefoundation.CFUUID;

import dstep.corefoundation.CFBase;
import dstep.corefoundation.CFString;
import dstep.objc.bridge.Bridge;
import dstep.objc.objc : id;

struct __CFUUID;
alias __CFUUID* CFUUIDRef;

struct CFUUIDBytes
{
	ubyte byte0;
	ubyte byte1;
	ubyte byte2;
	ubyte byte3;
	ubyte byte4;
	ubyte byte5;
	ubyte byte6;
	ubyte byte7;
	ubyte byte8;
	ubyte byte9;
	ubyte byte10;
	ubyte byte11;
	ubyte byte12;
	ubyte byte13;
	ubyte byte14;
	ubyte byte15;
}

extern (C)
{
	uint CFUUIDGetTypeID ();
	CFUUIDRef CFUUIDCreate (CFAllocatorRef alloc);
	CFUUIDRef CFUUIDCreateWithBytes (CFAllocatorRef alloc, ubyte byte0, ubyte byte1, ubyte byte2, ubyte byte3, ubyte byte4, ubyte byte5, ubyte byte6, ubyte byte7, ubyte byte8, ubyte byte9, ubyte byte10, ubyte byte11, ubyte byte12, ubyte byte13, ubyte byte14, ubyte byte15);
	CFUUIDRef CFUUIDCreateFromString (CFAllocatorRef alloc, CFStringRef uuidStr);
	CFStringRef CFUUIDCreateString (CFAllocatorRef alloc, CFUUIDRef uuid);
	CFUUIDRef CFUUIDGetConstantUUIDWithBytes (CFAllocatorRef alloc, ubyte byte0, ubyte byte1, ubyte byte2, ubyte byte3, ubyte byte4, ubyte byte5, ubyte byte6, ubyte byte7, ubyte byte8, ubyte byte9, ubyte byte10, ubyte byte11, ubyte byte12, ubyte byte13, ubyte byte14, ubyte byte15);
	CFUUIDBytes CFUUIDGetUUIDBytes (CFUUIDRef uuid);
	CFUUIDRef CFUUIDCreateFromUUIDBytes (CFAllocatorRef alloc, CFUUIDBytes bytes);
}